<div style="text-align:center">
  <h1>
    Welcome to the Expense Reimbursement System
  </h1>
</div>
<div class="col-md-6 col-md-offset-3">
  <app-alert></app-alert>
  <form class="form" name="loginForm" (ngSubmit)="login(model.title, model.username, model.password)" #loginForm="ngForm">
    <mat-form-field class="full-width">
      <input matInput placeholder="Email" [formControl]="formControl" [errorStateMatcher]="matcher" name="username" [(ngModel)]="model.username">
      <mat-error *ngIf="formControl.hasError('email') && !formControl.hasError('required')">
        Please Enter a valid Email Address
      </mat-error>
      <mat-error *ngIf="formControl.hasError('required')">
        Email is <strong>required</strong>
      </mat-error>
    </mat-form-field>

    <mat-form-field class="full-width">
      <input matInput type="password" placeholder="Password" [formControl]="passwordFormControl" [errorStateMatcher]="matcher" name="password" [(ngModel)]="model.password">
      <mat-error *ngIf="passwordFormControl.hasError('required')">
        Password is <strong>required</strong>
      </mat-error>
    </mat-form-field>

    <!--<mat-form-field>-->
      <!--<mat-select placeholder="Choose your title" name="title" [(ngModel)]="model.title">-->
        <!--<mat-option *ngFor="let title of titles" [value]="title" >{{title}}</mat-option>-->

        <!--&lt;!&ndash;<mat-option *ngFor="let title of titles" [value]="title.value" >{{title.viewValue}}</mat-option>&ndash;&gt;-->
      <!--</mat-select>-->
    <!--</mat-form-field>-->

    <div class="form-group">
      <button class="btn btn-primary">Login</button>
    </div>
  </form>
</div>
